import { TreeNodeActionsDirective } from '../../directives/tree-node-actions.directive';
import { TreeNodeProperties } from '../../../../declarations/interfaces/tree-node-properties.interface';
import * as i0 from "@angular/core";
export declare class TreeNodeComponent {
    treeNodeProperties: TreeNodeProperties;
    readonly treeNodeActionsTemplate: TreeNodeActionsDirective;
    get arrowIcon(): string;
    get arrowOffset(): string;
    get isSelected(): boolean;
    expand(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeNodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeNodeComponent, "pupa-tree-node", never, { "treeNodeProperties": "treeNodeProperties"; }, {}, ["treeNodeActionsTemplate"], ["*"], false>;
}
