import { DataSource, ListRange } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
import { FlatTreeItem } from './flat-tree-item.class';
export declare class TreeRangedDataSource extends DataSource<FlatTreeItem> {
    private readonly data$;
    private readonly range$;
    constructor(data$: Observable<FlatTreeItem[]>);
    setRange(range: ListRange): void;
    connect(): Observable<FlatTreeItem[]>;
    disconnect(): void;
}
